<template>
  <div>
    <!-- 组庭界面 -->
    <el-dialog
      title="组庭审核"
      :visible="showformateCourt"
      width="800px"
      @close="cancel"
      :destroy-on-close="true"
    >
      <el-form label-width="150px">
        <el-form-item label="是否同意组庭：">
          <el-radio-group v-model="isAgreePendTral">
            <el-radio :label="1">是</el-radio>
            <el-radio :label="0">否</el-radio>
          </el-radio-group>
        </el-form-item>
      </el-form>
      <!-- <el-form ref="form"> -->
      <el-table
        :data="dataList"
        style="width: 100%"
        @selection-change="handleSelectionChange"
        v-if="isAgreePendTral == 0"
      >
        <el-table-column type="selection" width="55"> </el-table-column>
        <el-table-column
          label="仲裁员姓名"
          align="center"
          prop="arbitratorName"
          :show-overflow-tooltip="true"
        />
        <el-table-column
          label="专业分类"
          align="center"
          prop="professiClassifi"
          :show-overflow-tooltip="true"
        />
        <el-table-column
          label="当前案件数量"
          align="center"
          prop="currentCaseNum"
          :show-overflow-tooltip="true"
        />
        <el-table-column
          label="已结案数量"
          align="center"
          prop="closedCaseNum"
          :show-overflow-tooltip="true"
        />
      </el-table>
      <pagination
        v-show="total > 0"
        :total="total"
        :page.sync="queryParams.pageNum"
        :limit.sync="queryParams.pageSize"
        @pagination="getarbitrAtor"
        v-if="isAgreePendTral == 0"
      />
      <!-- </el-form> -->
      <div slot="footer" class="dialog-footer">
        <el-button
          type="primary"
          @click="submitForm"
          :disabled="!this.arbitrators.length > 0 && isAgreePendTral == 0"
          >确 定</el-button
        >
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { arbitrAtor, pendTralCheck } from "@/api/formationCourt/formationCourt";
export default {
  props: ["showformateCourt", "formateCourtData"],
  data() {
    return {
      dataList: [],
      total: 0,
      queryParams: {
        pageNum: 1,
        pageSize: 10,
      },
      arbitrators: [],
      isAgreePendTral: 1,
      paramsdata: {},
    };
  },
  created() {
    this.getarbitrAtor();
  },
  methods: {
    // 获取仲裁员信息
    getarbitrAtor() {
      arbitrAtor({}).then((res) => {
        this.dataList = res.rows;
        this.total = res.total;
      });
    },
    // 勾选仲裁员
    handleSelectionChange(val) {
      this.arbitrators = [];
      val.forEach((item) => {
        this.arbitrators.push({
          id: item.id,
          arbitratorName: item.arbitratorName,
        });
      });
    },
    // 确认
    submitForm() {
      // if (this.arbitrators.length > 0) {
      if (this.isAgreePendTral == 0) {
        this.paramsdata = {
          isAgreePendTral: 0,
          id: this.formateCourtData.id,
          arbitrators: this.arbitrators,
        };
      } else {
        this.paramsdata = {
          isAgreePendTral: 1,
          id: this.formateCourtData.id,
        };
      }
      pendTralCheck(this.paramsdata).then((res) => {
        this.cancel();
        this.$modal.msgSuccess("组庭成功");
        this.$emit("getcaseApply");
      });
      // }
    },
    // 取消
    cancel() {
      this.$emit("cancelcourtDialog");
      this.arbitrators = [];
    },
  },
};
</script>

<style lang="scss" scoped>
</style>